- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IActiveControl IBindable ICache ICacheDependency ICallbackEventHandler IDataRenderer IModule IRenderable IService IStatePersister IStyleable ITextWriter IUser Prado PradoBase TApplication TApplicationComponent TApplicationConfiguration TApplicationMode TApplicationStatePersister TComponent TComponentReflection TDraggableConstraint TDropContainerEventParameter TEnumerable TEventParameter TModule TPropertyValue TReflectionClass TService TShellApplication |
Keyword
# Interface IService
IService interface. This interface must be implemented by services. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
boolean | getEnabled ()
string | getID ()
void | init ( TXmlElement $config) Initializes the service.
void | run () Runs the service.
void | setEnabled ( boolean $value)
void | setID ( string $id)
Method Details
## getEnabled
public boolean getEnabled | ()
Output
boolean | whether the service is enabled
Exception
## getID
public string getID | ()
Output
string | ID of the service
Exception
## init
public void init | (TXmlElement $config )
Initializes the service.
Input
TXmlElement | $config | the configuration for the service
Output
Exception
## run
public void run | ()
Runs the service.
Output
Exception
## setEnabled
public void setEnabled | (boolean $value )
Input
boolean | $value | whether the service is enabled
Output
Exception
## setID
public void setID | (string $id )
Input
string | $id | ID of the service
Output
Exception